<?php
require_once './Control/ControlContato.php';
require_once './Util/formAjax/FormAjax.php';
extract($_POST);
$controlContato = new ControlContato();
if ($acao == 'inserir')
{
	$contato = new Contato();
} else
{
	$contato = $controlContato->pegarUmContato($pk);
}
if ($acao != 'excluir')
{
    $contato->setCep(stripslashes($txtCep));
    $contato->setRua(stripslashes($txtRua));
    $contato->setBairro(stripslashes($txtBairro));
    $contato->setCidade(stripslashes($txtCidade));
    $contato->setUF(stripslashes($txtUF));
    $contato->setGooglemaps(stripslashes($txtMaps));
    $contato->setEmail(stripslashes($txtEmail));
    $contato->setMSN(stripslashes($txtMSN));
    $contato->setSkype(stripslashes($txtSkype));
    $contato->setTalk(stripslashes($txtTalk));
    $contato->setTelefone(stripslashes($txtTelefone));
    $contato->setFax(stripslashes($txtFax));
    $contato->setCelular(stripslashes($txtCelular));
    $contato->setFacebook(stripslashes($txtFacebook));
    $contato->setGooglemais(stripslashes($txtGoogleMais));
    $contato->setTwitter(stripslashes($txtTwitter));
    $contato->setLinkedin(stripslashes($txtLinkedin));
    switch ($acao) {	
            case 'alterar':
                    $retorno = $controlContato->salvarContato($contato);
                    break;
            case 'inserir':
                    $retorno = $controlContato->salvarContato($contato);
                    $acao = 'alterar';
                    $contato->find(true);
                    $pk = $contato->getContatoid();
                    break;
    }
    if ($retorno == 0)
    {
        echo '<h1>Ops!</h1><p>Ocorreu algum erro!</p>';
    } else
    {   
        echo 'Registro foi salvo com sucesso!';
        $codJava = 'mostrarArquivoDados(\'' . $arqFrm .'\',\'#dados\',\'acao=alterar&pk=' . $pk . '&lang=ptbr\');';
        echo '<script>' . $codJava . '</script>';
    }
} else {
        //$retorno = $controlContato->excluircon($artigoTipo);
    $retorno = 0;
        if ($retorno == 0)
        {
            echo '<h1>Ops!</h1><p>Ocorreu algum erro!</p>';
        } else
        {   
            echo 'Registro com ID: ' . $pk . ' excluido com sucesso!';
            $codJava = '$("#contatoID_'. $pk . '").remove();';
            echo '<script>' . $codJava . '</script>';
        }
}

?>